algebraic lens distortion

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Members

All Classes Namespaces Files Functions Variables Defines
Public Member Functions | Public Attributes
ami::point2d< T > Class Template Reference

class to store 2D points and basic methods More...

`#include <point2d.h>`

List of all members.

## Public Member Functions
| point2d ()
| ~point2d ()
| point2d (const T xx, const T yy)
| point2d (const T scalar)
point2d & | operator= (const point2d &p)
point2d & | operator= (const T scalar)
| point2d (const point2d< T > &p)
point2d | operator+ (const point2d &p) const
point2d | operator- (const point2d &p) const
point2d | operator* (const T &a) const
double | operator* (const point2d &p) const
T | norm ()
T | norm2 ()
void | print ()
int | find_nearest_point (std::vector< point2d< T > > primitive)
| Find the point in th primitive that is the neareast to point, and returns its index.
void | find_nearest_point (std::vector< point2d< T > > primitive, int &id, T &distance)
| Find the point in th primitive that is the neareast to point, and returns its index.
bool | operator!= (const T scalar) const
## Public Attributes
T | x
T | y

## Detailed Description

### template<class T>
class ami::point2d< T >

class to store 2D points and basic methods

Author:
  Luis Alvarez

Definition at line 27 of file point2d.h.

## Constructor & Destructor Documentation

template<class T>

ami::point2d< T >::point2d | ( |  | ) | `[inline]`

Definition at line 32 of file point2d.h.

template<class T>

ami::point2d< T >::~point2d | ( |  | ) | `[inline]`

Definition at line 33 of file point2d.h.

template<class T>

ami::point2d< T >::point2d | ( | const T | xx,
|  | const T | yy
| ) |  | `[inline]`

Definition at line 34 of file point2d.h.

template<class T>

ami::point2d< T >::point2d | ( | const T | scalar | ) | `[inline]`

Definition at line 38 of file point2d.h.

template<class T>

ami::point2d< T >::point2d | ( | const point2d< T > & | p | ) | `[inline]`

Definition at line 51 of file point2d.h.

## Member Function Documentation

template<class T >

int ami::point2d< T >::find_nearest_point | ( | std::vector< point2d< T > > | primitive | ) |

Find the point in th primitive that is the neareast to point, and returns its index.

Parameters:

  [in] | primitive | Vector with points 2d, it can represente a line,a polygon,a contour,etc..

Author:
  Pedro Henriquez

Definition at line 92 of file point2d.h.

template<class T >

void ami::point2d< T >::find_nearest_point | ( | std::vector< point2d< T > > | primitive,
|  | int & | id,
|  | T & | distance
| ) |  |

Find the point in th primitive that is the neareast to point, and returns its index.

Parameters:

  [in] | primitive | Vector with points 2d, it can represente a line,a polygon,a contour,etc..

Author:
  Pedro Henriquez

Parameters:

  primitive | .
  id | .
  distance | .

Definition at line 121 of file point2d.h.

template<class T>

T ami::point2d< T >::norm | ( |  | ) | `[inline]`

Definition at line 67 of file point2d.h.

template<class T>

T ami::point2d< T >::norm2 | ( |  | ) | `[inline]`

Definition at line 71 of file point2d.h.

template<class T>

bool ami::point2d< T >::operator!= | ( | const T | scalar | ) | const`[inline]`

Definition at line 79 of file point2d.h.

template<class T>

point2d ami::point2d< T >::operator* | ( | const T & | a | ) | const`[inline]`

Definition at line 61 of file point2d.h.

template<class T>

double ami::point2d< T >::operator* | ( | const point2d< T > & | p | ) | const`[inline]`

Definition at line 64 of file point2d.h.

template<class T>

point2d ami::point2d< T >::operator+ | ( | const point2d< T > & | p | ) | const`[inline]`

Definition at line 55 of file point2d.h.

template<class T>

point2d ami::point2d< T >::operator- | ( | const point2d< T > & | p | ) | const`[inline]`

Definition at line 58 of file point2d.h.

template<class T>

point2d& ami::point2d< T >::operator= | ( | const point2d< T > & | p | ) | `[inline]`

Definition at line 41 of file point2d.h.

template<class T>

point2d& ami::point2d< T >::operator= | ( | const T | scalar | ) | `[inline]`

Definition at line 46 of file point2d.h.

template<class T>

void ami::point2d< T >::print | ( |  | ) | `[inline]`

Definition at line 74 of file point2d.h.

## Member Data Documentation

template<class T>

T ami::point2d< T >::x

point x coordinate

Definition at line 30 of file point2d.h.

template<class T>

T ami::point2d< T >::y

point y coordinate

Definition at line 31 of file point2d.h.

The documentation for this class was generated from the following file:

- point2d.h